# Generated by Django 3.2.12 on 2022-03-28 21:00

from django.db import migrations, models
import django.db.models.deletion
import phonenumber_field.modelfields
import simpel_utils.models.fields


class Migration(migrations.Migration):

    dependencies = [
        ('contenttypes', '0002_remove_content_type_name'),
        ('simpel_contacts', '0006_auto_20220328_0255'),
    ]

    operations = [
        migrations.CreateModel(
            name='ShippingAddress',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('title', models.CharField(blank=True, choices=[('Mr', 'Mr'), ('Miss', 'Miss'), ('Mrs', 'Mrs'), ('Ms', 'Ms'), ('Dr', 'Dr')], help_text='Treatment Pronouns for the customer', max_length=64, verbose_name='Title')),
                ('name', models.CharField(help_text='If blank, contact name will be used.', max_length=255, verbose_name='name')),
                ('line_1', models.CharField(max_length=255, null=True, verbose_name='line 1')),
                ('line_2', simpel_utils.models.fields.NullCharField(max_length=255, verbose_name='line 2')),
                ('line_3', simpel_utils.models.fields.NullCharField(max_length=255, verbose_name='line 3')),
                ('city', models.CharField(max_length=255, null=True, verbose_name='city')),
                ('province', models.CharField(max_length=255, null=True, verbose_name='province')),
                ('postcode', simpel_utils.models.fields.UppercaseCharField(blank=True, max_length=64, verbose_name='Post/Zip-code')),
                ('phone_number', phonenumber_field.modelfields.PhoneNumberField(blank=True, help_text='In case we need to call you about your order', max_length=128, region=None, verbose_name='Phone number')),
                ('notes', models.TextField(blank=True, help_text='Tell us anything we should know when delivering your order.', verbose_name='Instructions')),
                ('content_id', models.IntegerField(blank=True, help_text='Linked order primary key.', null=True)),
                ('content_type', models.ForeignKey(blank=True, help_text='Linked order', null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='shipping_addresses', to='contenttypes.contenttype')),
                ('country', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='simpel_contacts.country', verbose_name='Country')),
            ],
            options={
                'verbose_name': 'Shipping address',
                'verbose_name_plural': 'Shipping addresses',
            },
        ),
        migrations.CreateModel(
            name='DeliverableAddress',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('title', models.CharField(blank=True, choices=[('Mr', 'Mr'), ('Miss', 'Miss'), ('Mrs', 'Mrs'), ('Ms', 'Ms'), ('Dr', 'Dr')], help_text='Treatment Pronouns for the customer', max_length=64, verbose_name='Title')),
                ('name', models.CharField(help_text='If blank, contact name will be used.', max_length=255, verbose_name='name')),
                ('line_1', models.CharField(max_length=255, null=True, verbose_name='line 1')),
                ('line_2', simpel_utils.models.fields.NullCharField(max_length=255, verbose_name='line 2')),
                ('line_3', simpel_utils.models.fields.NullCharField(max_length=255, verbose_name='line 3')),
                ('city', models.CharField(max_length=255, null=True, verbose_name='city')),
                ('province', models.CharField(max_length=255, null=True, verbose_name='province')),
                ('postcode', simpel_utils.models.fields.UppercaseCharField(blank=True, max_length=64, verbose_name='Post/Zip-code')),
                ('phone_number', phonenumber_field.modelfields.PhoneNumberField(blank=True, help_text='In case we need to call you about your order', max_length=128, region=None, verbose_name='Phone number')),
                ('notes', models.TextField(blank=True, help_text='Tell us anything we should know when delivering your order.', verbose_name='Instructions')),
                ('content_id', models.IntegerField(blank=True, help_text='Linked order primary key.', null=True)),
                ('content_type', models.ForeignKey(blank=True, help_text='Linked order', null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='deliverable_addresses', to='contenttypes.contenttype')),
                ('country', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='simpel_contacts.country', verbose_name='Country')),
            ],
            options={
                'verbose_name': 'Deliverable address',
                'verbose_name_plural': 'Deliverable addresses',
            },
        ),
        migrations.CreateModel(
            name='BillingAddress',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('title', models.CharField(blank=True, choices=[('Mr', 'Mr'), ('Miss', 'Miss'), ('Mrs', 'Mrs'), ('Ms', 'Ms'), ('Dr', 'Dr')], help_text='Treatment Pronouns for the customer', max_length=64, verbose_name='Title')),
                ('name', models.CharField(help_text='If blank, contact name will be used.', max_length=255, verbose_name='name')),
                ('line_1', models.CharField(max_length=255, null=True, verbose_name='line 1')),
                ('line_2', simpel_utils.models.fields.NullCharField(max_length=255, verbose_name='line 2')),
                ('line_3', simpel_utils.models.fields.NullCharField(max_length=255, verbose_name='line 3')),
                ('city', models.CharField(max_length=255, null=True, verbose_name='city')),
                ('province', models.CharField(max_length=255, null=True, verbose_name='province')),
                ('postcode', simpel_utils.models.fields.UppercaseCharField(blank=True, max_length=64, verbose_name='Post/Zip-code')),
                ('phone_number', phonenumber_field.modelfields.PhoneNumberField(blank=True, help_text='In case we need to call you about your order', max_length=128, region=None, verbose_name='Phone number')),
                ('notes', models.TextField(blank=True, help_text='Tell us anything we should know when delivering your order.', verbose_name='Instructions')),
                ('content_id', models.IntegerField(blank=True, help_text='Linked order primary key.', null=True)),
                ('content_type', models.ForeignKey(blank=True, help_text='Linked order', null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='billing_addresses', to='contenttypes.contenttype')),
                ('country', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='simpel_contacts.country', verbose_name='Country')),
            ],
            options={
                'verbose_name': 'Billing address',
                'verbose_name_plural': 'Billing addresses',
            },
        ),
    ]
